// const rankRouter = [
//     //   已发稿件排行
//     {
//         path: "/manuscriptIssued",
//         name: "manuscriptIssued",
//         component: () =>
//             import(/* webpackChunkName: "ManuscriptIssued" */ "../views/Ranking/ManuscriptIssued.vue"),
//     },
//     //   稿件传播量排行榜
//     {
//         path: "/manuscriptDissemination",
//         name: "manuscriptDissemination",
//         component: () =>
//             import(/* webpackChunkName: "ManuscriptDissemination" */ "../views/Ranking/ManuscriptDissemination.vue"),
//     },
//     //   融合号粉丝量排行榜
//     {
//         path: "/fusionVermicelli",
//         name: "fusionVermicelli",
//         component: () =>
//             import(/* webpackChunkName: "FusionVermicelli" */ "../views/Ranking/FusionVermicelli.vue"),
//     },
//     //   融合号稿件数量排行榜
//     {
//         path: "/manuscriptQuantity",
//         name: "manuscriptQuantity",
//         component: () =>
//             import(/* webpackChunkName: "ManuscriptQuantity" */ "../views/Ranking/ManuscriptQuantity.vue"),
//     },
//     //   融合号稿件传播量排行榜
//     {
//         path: "/fusionNumberManuscript",
//         name: "fusionNumberManuscript",
//         component: () =>
//             import(/* webpackChunkName: "FusionNumberManuscript" */ "../views/Ranking/FusionNumberManuscript.vue"),
//     },
//     //   素材贡献量排行榜
//     {
//         path: "/materialContribution",
//         name: "materialContribution",
//         component: () =>
//             import(/* webpackChunkName: "MaterialContribution" */ "../views/Ranking/MaterialContribution.vue"),
//     },
//     //   用户停留排行
//     {
//         path: "/userStayRanking",
//         name: "userStayRanking",
//         component: () =>
//             import(/* webpackChunkName: "UserStayRanking" */ "../views/Ranking/UserStayRanking.vue"),
//     },
//     //   直播播放次数排行榜
//     {
//         path: "/liveBroadcastsNum",
//         name: "liveBroadcastsNum",
//         component: () =>
//             import(/* webpackChunkName: "LiveBroadcastsNum" */ "../views/Ranking/LiveBroadcastsNum.vue"),
//     },
//     //   直播在线用户数排行榜
//     {
//         path: "/liveStreamingUser",
//         name: "liveStreamingUser",
//         component: () =>
//             import(/* webpackChunkName: "LiveStreamingUser" */ "../views/Ranking/LiveStreamingUser.vue"),
//     },
//     //   直播停留时长排行榜
//     {
//         path: "/liveResidenceDuration",
//         name: "liveResidenceDuration",
//         component: () =>
//             import(/* webpackChunkName: "LiveResidenceDuration" */ "../views/Ranking/LiveResidenceDuration.vue"),
//     }

// ];

/**
 * 全媒体平台-大数据
 */
export default [
  // 概览
  {
    path: '/all_aedia',
    children: [
        {
          path: 'overview',
          name: 'overview',
          component: () =>
            import(
              /* webpackChunkName: "all_aedia" */ '../views/Ranking/overview.vue'
            ),
        },
        {
          path: 'propagate',
          name: 'propagate',
          component: () =>
            import(
              /* webpackChunkName: "all_aedia" */ '../views/Ranking/propagate.vue'
            ),
        },
        {
          path: 'live',
          name: 'live',
          component: () =>
            import(
              /* webpackChunkName: "all_aedia" */ '../views/Ranking/live.vue'
            ),
        },
        {
          path: 'all_aedia_column',
          name: 'all_aedia_column',
          component: () =>
            import(
              /* webpackChunkName: "all_aedia" */ '../views/Ranking/all_aedia_column.vue'
            ),
        },
        {
          path: 'fusion',
          name: 'fusion',
          component: () =>
            import(
              /* webpackChunkName: "all_aedia" */ '../views/Ranking/fusion.vue'
            ),
        },
        {
          path: 'content_library',
          name: 'content_library',
          component: () =>
            import(
              /* webpackChunkName: "all_aedia" */ '../views/Ranking/content_library.vue'
            ),
        },
        {
          path: 'release',
          name: 'release',
          component: () =>
            import(
              /* webpackChunkName: "all_aedia" */ '../views/Ranking/release.vue'
            ),
        },
    ],
  },
];
